configuration Main
{
	param($nodeName = "localhost")
    Import-DscResource -ModuleName xPSDesiredStateConfiguration
    $DAPackageLocalPath = "C:\InstallDependencyAgent-Windows.exe"
    Node localhost
    {
        # Check that MMA agent is running
        Service OIService {
            Name  = "HealthService"
            State = "Running"
        }
        # Download the Dependency Agent package
        xRemoteFile DAPackage {
            Uri             = "https://aka.ms/dependencyagentwindows"
            DestinationPath = $DAPackageLocalPath
            DependsOn       = "[Service]OIService"
        }
        xPackage DA {
            Ensure                     = "Present"
            Name                       = "Dependency Agent"
            Path                       = $DAPackageLocalPath
            Arguments                  = '/S'
            ProductId                  = ""
            InstalledCheckRegKey       = "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\DependencyAgent"
            InstalledCheckRegValueName = "DisplayName"
            InstalledCheckRegValueData = "Dependency Agent"
        }
    }
}